dpkg-name(1)

NOM
dpkg-name - redonne aux paquets Debian leur nom complet

SYNOPSIS
dpkg-name [option...] [--] file...

DESCRIPTION

This manual page documents the dpkg-name program which provides an easy way to rename Debian packages into their full package names. A full package name consists of package_version_architecture.package-type as specified in the control file of the package. The version part of the filename consists of the upstream version information optionally followed by a hyphen and the revision information. The package-type part comes from that field if present or fallbacks to deb.

OPTIONS

-a, --no-architecture
    Le nom du fichier n'aura pas l'information sur l'architecture.

-k, --symlink
    Faire un lien symbolique plutôt qu'une création de fichier.

-o, --overwrite
    Remplace des fichiers existants s'ils ont le même nom que le fichier de destination.

-s, --subdir [rep]
    Files will be moved into a subdirectory. If the directory given as argument exists the files will be moved into that directory otherwise the name of the target directory is extracted from the section field in the control part of the package. The target directory will be `unstable/binary-architecture/section'. If the section is not found in the control, then `no-section' is assumed, and in this case, as well as for sections `non-free' and `contrib' the target directory is `section/binary-architecture'. The section field isn't required so a lot of packages will find their way to the `no-section' area. Use this option with care, it's messy.

-c, --create-dir
    On peut utiliser cette option avec l'option -s. Quand un répertoire cible n'est pas trouvé, il est créé automatiquement. Utilisez cette option avec soin.

-h, --help
    Affiche un message d'aide puis quitte.

-v, --version
    Affiche le numéro de version puis quitte.

EXEMPLES

dpkg-name bar-foo.deb
    Le nom du fichier « bar-foo.deb » devient « bar-foo_1.0-2_i386.deb » ou quelque chose de similaire suivant les renseignements que contient la partie de contrôle de « bar-foo.deb ».

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    Cette commande redonne leur nom complet à tous les fichiers qui se trouvent dans le répertoire /root/debian et ses sous-répertoires et qui possèdent une extension « deb », mais supprime l'information sur l'architecture.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Ne faites pas ça ! L'archive sera complètement gâchée par des paquets qui ne possèdent pas d'informations sur la section. Ne faites pas ça !

dpkg --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    On peut se servir de cette commande lors de la construction d'un nouveau paquet.

BOGUES
Some packages don't follow the name structure package_version_architecture.deb. Packages renamed by dpkg-name will follow this structure. Generally this will have no impact on how packages are installed by dselect(1)/dpkg(1), but other installation tools might depend on this naming structure.

VOIR AUSSI
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).

AUTEUR
Copyright © 1995,1996 Erick Branderhorst

Ce programme est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a PAS de garantie.

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.